Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590341 - Turn off rpmdb version checks, in a few cases where it mostly hurts us
Summary: Turn off rpmdb version checks, in a few cases where it mostly hurts us
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-08 22:51 UTC by James Antill
Modified: 2014-01-21 06:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-14 14:32:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description James Antill 2010-05-08 22:51:06 UTC
Description of problem:
 We do rpmdb version checks on install, when history isn't being recorded. This is pretty bad as a lot of work is done for every install if a user turns off history recording.

 We do rpmdb version checks in the version command, but normal users can't see history by default ... so they end up checking the rpmdb all the time too.

 Both are basically one line patches, although the first looks worse as we have to change indentation for about 6 lines.

 Note that both these problems _only_ make yum slower, in somewhat edge cases (although customers who've turned history off might disagree ;).

Version-Release number of selected component (if applicable):
3.2.27-7

Comment 1 RHEL Product and Program Management 2010-05-08 23:26:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 RHEL Product and Program Management 2010-05-14 14:32:51 UTC
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.